
From: Matt Mackall <mpm@selenic.com>

From: Zwane Mwaikambo <zwane@arm.linux.org.uk>

This enables deep powersaving mode on Geode boxes.


---

 25-akpm/arch/i386/kernel/cpu/cyrix.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/cpu/cyrix.c~geode-suspend-on-halt arch/i386/kernel/cpu/cyrix.c
--- 25/arch/i386/kernel/cpu/cyrix.c~geode-suspend-on-halt	2004-04-03 03:00:09.113846040 -0800
+++ 25-akpm/arch/i386/kernel/cpu/cyrix.c	2004-04-03 03:00:09.116845584 -0800
@@ -167,7 +167,10 @@ static void __init geode_configure(void)
 	unsigned long flags;
 	u8 ccr3, ccr4;
 	local_irq_save(flags);
-	
+
+	/* Suspend on halt power saving and enable #SUSP pin */
+	setCx86(CX86_CCR2, getCx86(CX86_CCR2) | 0x88);
+
 	ccr3 = getCx86(CX86_CCR3);
 	setCx86(CX86_CCR3, (ccr3 & 0x0f) | 0x10);	/* Enable */
 	

_
